<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
    <ApplicationIcon>res\title.ico</ApplicationIcon>
    <Obfuscate>true</Obfuscate>
    <ConfuserReplaceOutput>true</ConfuserReplaceOutput>
    <StartupObject>Zerolauncher.App</StartupObject>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>full</DebugType>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DebugType>full</DebugType>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="runtimes\**" />
    <EmbeddedResource Remove="runtimes\**" />
    <None Remove="runtimes\**" />
    <Page Remove="runtimes\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="res\1.png" />
    <None Remove="res\2.png" />
    <None Remove="res\25.png" />
    <None Remove="res\39376.jpg" />
    <None Remove="res\about1.png" />
    <None Remove="res\btn_close1.png" />
    <None Remove="res\btn_mini1.png" />
    <None Remove="res\close.png" />
    <None Remove="res\config.png" />
    <None Remove="res\del.png" />
    <None Remove="res\player_ico1.png" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="res\title.ico" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Downloader" Version="3.0.6" />
    <PackageReference Include="Microsoft.ML.OnnxRuntime" Version="1.17.3" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="System.Drawing.Common" Version="8.0.4" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="res\1.png" />
    <Resource Include="res\2.png" />
    <Resource Include="res\25.png" />
    <Resource Include="res\39376.jpg" />
    <Resource Include="res\about1.png" />
    <Resource Include="res\btn_close1.png" />
    <Resource Include="res\btn_mini1.png" />
    <Resource Include="res\close.png" />
    <Resource Include="res\config.png" />
    <Resource Include="res\del.png" />
    <Resource Include="res\player_ico1.png" />
  </ItemGroup>

  <ItemGroup>
    <None Update="plugin\model.bin">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ZeroEngine.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
